Skip to main content
GET
Gets Store List.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

active_offer
boolean

Filter by store with active offer (accessible only for connector or consumer)

address
string

Filter by address

Address of the Store

brand
string<uuid>

Filter by brand

The brand that is being promoted by the offer. Can be different from the Merchant (ex. Monoprix merchant can issue offers on Naturalia brand)

brand__name
string

Filter by brand__name

Name of the brand

brand__universe
string<uuid>

Filter by brand__universe

city
string

Filter by city

City of the store

distance
number

Filter by maximum distance (in meters)

is_online
boolean

Filter by is_online

TRUE if the store is online (no address, no geolocation, url); FALSE if the store is physical

merchant
string<uuid>

Filter by merchant

Merchant that has created the offer

name
string

Filter by name

Name of the object

offer
string<uuid>

Filter by offer

offer

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
siret
string

Filter by siret

SIRET of the current Store. Siret is a 14-digit business identification number managed by INSEE. The Siret consists of the Siren number of 9 digits which identifies the company, a 4-digit number to identify the establishment and 1 digit forming a control key to verify Luhn's algorithm

sort
enum<string>

Sort by given attribute

Available options:
name,
brand,
brand__name,
brand__universe,
siret,
address,
zip_code,
city,
merchant,
is_online,
offer,
-name,
-brand,
-brand__name,
-brand__universe,
-siret,
-address,
-zip_code,
-city,
-merchant,
-is_online,
-offer
zip_code
string

Filter by zip_code

Zip code of the store

Response

OK

items
object[]
meta
object